LOCALSEARCH-STATUS(1)

NAME
localsearch-status - Provide status and statistics on the data indexed

SYNOPSIS

localsearch status
localsearch status [[expression1]...]
localsearch status --stat [-a] [[expression1]...]

DESCRIPTION

Display the status of the current index and data set. A summary of recorded failures during file metadata indexing is also displayed.

Providing a search expression will list the full details of the recorded failures matching the filename.

With the --stat option, displays statistics about the RDF classes and how many of each exist for data set that has been indexed. For example, "10 Folders".

OPTIONS

--stat[=expression]
    By default, only common and useful classes are shown, e.g. "nfo:Document" or "nfo:Folder", for a full set of statistics, see the --all option.

If one or more expression arguments is given, the statistics returned are filtered to only show information those RDF types matching expression (case folded and matching accented variants). The RDF classes are detailed by the Nepomuk otology specification. A list of possible classes matching expression, see localsearch sparql -c.

-a, --all
    Display statistics about ALL RDF classes that exist in the database. Without this option only the common RDF classes will be shown, for example "nfo:Document" and "nfo:FileDataObject".

This option is implied if search terms are provided to filter ALL possible statistics.

SEE ALSO

localsearch daemon(1), localsearch info(1).

    • http://nepomuk.semanticdesktop.org/

    • http://www.w3.org/TR/rdf-sparql-query/